from django.http import HttpResponse
from django.views.decorators.csrf import csrf_exempt
from rest_framework.serializers import ValidationError
from rest_framework.response import Response

from djangoldp.views import LDPViewSet
from .models import module, moduleStatus
from datetime import date,datetime
from django.shortcuts import render
from rest_framework.views import APIView


class modulesToFundViewSet(LDPViewSet):
  model=module
  def get_queryset(self, *args, **kwargs):
    return super().get_queryset(*args, **kwargs).filter(availabilityStatus__name__contains="Financement")

class modulesAvailableViewSet(LDPViewSet):
  model=module
  def get_queryset(self, *args, **kwargs):
    return super().get_queryset(*args, **kwargs).filter(availabilityStatus__name__contains="Disponible")

class IndexView(APIView):
  def get(self, request):
    from risefor_lobbying.models import ActionGroup,Representative

    context = {}

    if request.path.startswith('/actions/action-group-detail/'):
      try:

        context['action_group'] = ActionGroup.objects.get(id=request.path.split('/')[-2])
      except ActionGroup.DoesNotExist:
        pass
    elif request.path.startswith('/nos-elus/representative-detail/'):
      try:
        context['representative'] = Representative.objects.get(id=request.path.split('/')[-2])
      except ActionGroup.DoesNotExist:
        pass

    print('context is',str(context))
    return render(request, "index.html", context)